clang 8.0.0

Public Member Functions | List of all members
clang::format::CompoundStatementIndenter Class Reference

## Public Member Functions
| CompoundStatementIndenter (UnwrappedLineParser *Parser, const FormatStyle &Style, unsigned &LineLevel)
| ~CompoundStatementIndenter ()

## Detailed Description

Definition at line 172 of file UnwrappedLineParser.cpp.

## Constructor & Destructor Documentation

## ◆ CompoundStatementIndenter()

clang::format::CompoundStatementIndenter::CompoundStatementIndenter | ( | UnwrappedLineParser * | Parser,
|  | const FormatStyle & | Style,
|  | unsigned & | LineLevel
| ) |  |
| inline

Definition at line 174 of file UnwrappedLineParser.cpp.

References clang::format::FormatStyle::BraceWrappingFlags::AfterControlStatement, clang::format::FormatStyle::BraceWrapping, and clang::format::FormatStyle::BraceWrappingFlags::IndentBraces.

## ◆ ~CompoundStatementIndenter()

clang::format::CompoundStatementIndenter::~CompoundStatementIndenter | ( |  | ) |
| inline

Definition at line 182 of file UnwrappedLineParser.cpp.

The documentation for this class was generated from the following file:

- lib/Format/UnwrappedLineParser.cpp